Subject: bug#45817: 28.0.50; Native fails

From: Andrea Corallo <[email-masked]>
Date: Thu, 14 Jan 2021 09:33:48 +0000

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 14 Jan 2021 03:19:15 +0100
>> Cc: [email-masked]
>> From: "Kirill A. Korinsky" via "Bug reports for GNU Emacs,
>>  the Swiss army knife of text editors" <[email-masked]>
>> 
>> I'd like to confirm that it isn't a emacs bug.
>> 
>> After reinstall from sources gcc10 an issue disappeared.
>> 
>> Link to mackport related issue: https://trac.macports.org/ticket/61896
>
> Is this specific to macOS?
>
> In any case, if it's known that specific versions of GCC cause
> problems on specific platforms, we should reject those versions (for
> the libgccjit usage purposes) in configure, I think.

We do, not based on the version but (even better I think) we run a
functional test at configure time.  The test use libgccjit to produce a
shared, then this is loaded and used to ensure all the complete
mechanism is functional.

I think in this specific case somenthing happend (maybe OS upgrade?) as
when Emacs was compiled libgccjit clearly was working.

  Andrea